Arch Space/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(15 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{docnav|[[Arch_Roof|Roof]]|[[Arch_Stairs|Stairs]]|[[Arch_Module|Arch]]|IconL=Arch_Roof.svg |IconC=Workbench_Arch.svg |IconR=Arch_Stairs.svg}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{docnav/es
{{GuiCommand/es|Name=Arch Space|Name/es=Arch Espacio|Workbenches=[[Arch Module/es|Arch]]|MenuLocation=Arch → Space|Shortcut=S P}}
|[[Arch_Roof/es|Roof]]|[[Arch_Stairs/es|Stairs]]
|[[Arch_Workbench/es|Arch]]
|IconL=Arch_Roof.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Stairs.svg
}}
</div>
</div>

<div class="mw-translate-fuzzy">
{{GuiCommand/es
|Name=Arch Space|Name/es=Arch Espacio
|MenuLocation=Arch → Space
|Workbenches=[[Arch_Workbench/es|Arch]]
|Shortcut={{KEY|S}} {{KEY|P}}
|Version=0.14
|SeeAlso=[[Arch Wall/es]], [[Arch Structure/es]]
}}
</div>

==Description==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 12: Line 30:


[[Image:Arch Space example.jpg|640px]]
[[Image:Arch Space example.jpg|640px]]

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
''En la imagen de arriba, un objeto espacial se crea a partir de un objeto sólido existente, luego se agregan dos caras de muro como límites, y el modo de visualización se establece en "detallado" para mostrar el área del piso.''
''En la imagen de arriba, un objeto espacial se crea a partir de un objeto sólido existente, luego se agregan dos caras de muro como límites, y el modo de visualización se establece en "detallado" para mostrar el área del piso.''
</div>
</div>


<span id="Usage"></span>
<div class="mw-translate-fuzzy">
==Utilización==
==Utilización==
</div>


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 23: Line 45:
</div>
</div>


<span id="Limitations"></span>
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
==Limitaciones==
==Limitaciones==
Line 33: Line 56:
</div>
</div>


<span id="Properties"></span>
==Propiedades==
==Propiedades==


Line 53: Line 77:
==Options==
==Options==


* To create zones that group several spaces, use a [[Arch BuildingPart]] and set its IFC type to "Spatial Zone"
* To create zones that group several spaces, use an [[Arch_BuildingPart|Arch BuildingPart]] and set its IFC type to "Spatial Zone".
* The space object has the same display modes as other Arch and Part objects, with one more, called '''Footprint''', that displays only the bottom face of the space. {{Version|0.19}}
* The Space object has the same display modes as other Arch and Part objects, with one more, called '''Footprint''', that displays only the bottom face of the space.

==Scripting==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 63: Line 89:
La herramienta de espacio se puede usar en scripts de Python y [[macros/es]] usando la siguiente función:
La herramienta de espacio se puede usar en scripts de Python y [[macros/es]] usando la siguiente función:
</div>
</div>

{{Code|code=
{{Code|code=
Space = makeSpace(objects=None, baseobj=None, name="Space")
Space = makeSpace(objects=None, baseobj=None, name="Space")
Line 74: Line 101:


Ejemplo:
Ejemplo:

{{Code|code=
{{Code|code=
import FreeCAD, Arch
import FreeCAD, Arch
Line 90: Line 118:
Después de crear un objeto espacio, se pueden agregar caras seleccionadas con la siguiente función:
Después de crear un objeto espacio, se pueden agregar caras seleccionadas con la siguiente función:
</div>
</div>

{{Code|code=
{{Code|code=
import FreeCAD, FreeCADGui, Draft, Arch
import FreeCAD, FreeCADGui, Draft, Arch
Line 106: Line 135:
Los límites también se pueden eliminar con:
Los límites también se pueden eliminar con:
</div>
</div>

{{Code|code=
{{Code|code=
selection = FreeCADGui.Selection.getSelectionEx()
selection = FreeCADGui.Selection.getSelectionEx()
Arch.removeSpaceBoundaries(Space, selection)
Arch.removeSpaceBoundaries(Space, selection)
}}
}}



<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{docnav/es
[[Category:Arch/es]]
|[[Arch_Roof/es|Roof]]
|[[Arch_Stairs/es|Stairs]]
|[[Arch_Workbench/es|Arch]]
|IconL=Arch_Roof.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Stairs.svg
}}
</div>
</div>


{{Arch Tools navi}}
{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

{{Userdocnavi}}

Latest revision as of 21:34, 6 November 2023

Arch Espacio

Ubicación en el Menú
Arch → Space
Entornos de trabajo
Arch
Atajo de teclado por defecto
S P
Introducido en versión
0.14
Ver también
Arch Wall/es, Arch Structure/es

Description

Descripción

La herramienta Espacio le permite definir un volumen vacío, ya sea basado en una forma sólida, o definiendo sus límites, o una combinación de ambos. Si se basa únicamente en los límites, el volumen se calcula comenzando desde el cuadro delimitador de todos los límites dados, y restando los espacios detrás de cada límite. El objeto espacio siempre define un volumen sólido. El área del suelo de un objeto espacio, calculado mediante la intersección de un plano horizontal en el centro de masa del volumen del espacio, también se puede visualizar, configurando el modo de visualización del objeto espacial a "detallado".

En la imagen de arriba, un objeto espacial se crea a partir de un objeto sólido existente, luego se agregan dos caras de muro como límites, y el modo de visualización se establece en "detallado" para mostrar el área del piso.

Utilización

  1. Seleccione un objeto sólido existente o caras en objetos de contorno
  2. Presione el botón Arch Space, o presione las teclas S, P

Limitaciones

  • No disponible antes de la versión 0.14 de FreeCAD
  • Las propiedades de límites actualmente no se pueden editar a través de GUI
  • Ver el anuncio del foro

Propiedades

  • DATOSBase: El objeto base, si lo hay (debe ser un sólido)
  • DATOSBoundaries: Una lista de elementos de límite opcionales
  • VistaText: The text to show. Use $area, $label, $tag, $floor, $walls, $ceiling to insert the respective data
  • VistaFontName: The name of the font
  • VistaTextColor: The color of the text
  • VistaFontSize: The size of the text
  • VistaFirstLine: The size of the first line of text (multiplies the font size. 1 = same size, 2 = double size, etc..)
  • VistaLineSpacing: The space between the lines of text
  • VistaTextPosition: The position of the text. Leave (0,0,0) for automatic position
  • VistaTextAlign: The justification of the text
  • VistaDecimals: The number of decimals to use for calculated texts
  • VistaShowUnit: Show the unit suffix or not

Options

  • To create zones that group several spaces, use an Arch BuildingPart and set its IFC type to "Spatial Zone".
  • The Space object has the same display modes as other Arch and Part objects, with one more, called Footprint, that displays only the bottom face of the space.

Scripting

Programación

La herramienta de espacio se puede usar en scripts de Python y macros/es usando la siguiente función:

Space = makeSpace(objects=None, baseobj=None, name="Space")
  • Crea un objeto espacio a partir de los objetos dados.
  • Los objetos pueden ser un objeto de documento, en cuyo caso se convierte en la forma básica del objeto de espacio, o una lista de objetos de selección como se devuelve por FreeCADGui.Selection.getSelectionEx(), o una lista de tuplas (object, subobjectname).
  • Devuelve el objeto espacial recién creado.

Ejemplo:

import FreeCAD, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 1000
Box.Height = 1000

Space = Arch.makeSpace(Box)
Space.ViewObject.LineWidth = 2
FreeCAD.ActiveDocument.recompute()

Después de crear un objeto espacio, se pueden agregar caras seleccionadas con la siguiente función:

import FreeCAD, FreeCADGui, Draft, Arch

points = [FreeCAD.Vector(-500, 0, 0), FreeCAD.Vector(1000, 1000, 0)]
Line = Draft.makeWire(points)
Wall = Arch.makeWall(Line, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

# Select a face of the wall
selection = FreeCADGui.Selection.getSelectionEx()
Arch.addSpaceBoundaries(Space, selection)

Los límites también se pueden eliminar con:

selection = FreeCADGui.Selection.getSelectionEx()
Arch.removeSpaceBoundaries(Space, selection)